// package main -- пускач для архитектуры
package main

import (
	"gitp78su.ipnodns.ru/svi/kern/v3/kc/log_buf"

	"gitp78su.ipnodns.ru/svi/goarch/lev3/fabrics"
)

func main() {
	optTerm := log_buf.OptIsTerm(true)
	optPref := log_buf.OptPrefix("main")
	log := log_buf.NewLogBuf(optPref, optTerm)
	log.Info("main()")
	serv := fabrics.NewService()

	resServ := serv.Run()
	resServ.Hassert("main(): in IService.Run()")
}
